{
    attributes = (
        {
            columnName = "C_STRUCTURE"; 
            externalType = VARCHAR2; 
            name = cStructure; 
            valueClassName = NSString; 
            valueType = S; 
            width = 10; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = TIMESTAMP; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = TIMESTAMP; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "STC_ORDRE"; 
            externalType = NUMBER; 
            name = stcOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "STR_ORDRE"; 
            externalType = NUMBER; 
            name = strOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (stcOrdre, strOrdre, cStructure); 
    className = "org.cocktail.connecteur.serveur.modele.correspondance.EOStructureCorresp"; 
    classProperties = (dCreation, dModification, structure, structureGrhum); 
    externalName = "IMPORT.STRUCTURE_CORRESP"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (structure, structureGrhum, dCreation, dModification); 
        "_javaClientClassName" = "org.cocktail.connecteur.client.modele.correspondance.EOStructureCorresp"; 
    }; 
    name = StructureCorresp; 
    primaryKeyAttributes = (stcOrdre); 
    relationships = (
        {
            destination = Structure; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = strOrdre; sourceAttribute = strOrdre; }); 
            name = structure; 
        }, 
        {
            destination = GrhumStructure; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cStructure; sourceAttribute = cStructure; }); 
            name = structureGrhum; 
        }
    ); 
    userInfo = {"_EntityModeler" = {parentClassName = ObjetCorresp; }; }; 
}
